PFILT(1)

NAME
pfilt - filter a RADIANCE picture

SYNOPSIS
pfilt [ options ] [ file ]

DESCRIPTION
Pfilt performs anti-aliasing and scaling on a RADIANCE picture. The program makes two passes on the picture file in order to set the exposure to the correct average value. If no file is given, the standard input is read.

-x res
    Set the output x resolution to res. This must be less than or equal to the x dimension of the target device. If res is given as a slash followed by a real number, the input resolution is divided by this number to get the output resolution. By default, the output resolution is the same as the input.

-y res
    Set the output y resolution to res, similar to the specification of the x resolution above.

-p rat
    Set the pixel aspect ratio to rat. Either the x or the y resolution will be reduced so that the pixels have this ratio for the specified picture. If rat is zero, then the x and y resolutions will adhere to the given maxima. Zero is the default.

-c  Pixel aspect ratio is being corrected, so do not write PIXASPECT variable to output file.

-e exp
    Adjust the exposure. If exp is preceded by a '+' or '-', the exposure is interpreted in f-stops (ie. the power of two). Otherwise, exp is interpreted as a straight multiplier. The individual primaries can be changed using -er, -eg and -eb. Multiple exposure options have a cumulative effect.

-t lamp
    Color-balance the image as if it were illuminated by fixtures of the given type. The specification must match a pattern listed in the lamp lookup table (see the -f option below).

-f lampdat
    Use the specified lamp lookup table rather than the default (lamp.tab).

-1  Use only one pass on the file. This allows the exposure to be controlled absolutely, without any averaging. Note that a single pass is much quicker and should be used whenever the desired exposure is known and star patterns are not required.

-2  Use two passes on the input. This is the default.

-b  Use box filtering (default). Box filtering averages the input pixels corresponding to each separate output pixel.

-r rad
    Use Gaussian filtering with a radius of rad relative to the output pixel size. This option with a radius around 0.6 and a reduction in image width and height of 2 or 3 produces the highest quality pictures. A radius greater than 0.7 results in a defocused picture.

-m frac
    Limit the influence of any given input pixel to frac of any given output pixel. This option may be used to mitigate the problems associated with inadequate image sampling, at the expense of a slightly blurred image. The fraction given should not be less than the output picture dimensions over the input picture dimensions (x_o*y_o/x_i/y_i), or blurring will occur over the entire image. This option implies the -r option for Gaussian filtering, which defaults to a radius of 0.6.

-h lvl
    Set intensity considered ``hot'' to lvl. This is the level above which areas of the image will begin to exhibit star diffraction patterns (see below). The default is 100 watts/sr/m2.

-n N
    Set the number of points on star patterns to N. A value of zero turns star patterns off. The default is 0. (Note that two passes are required for star patterns.)

-s val
    Set the spread for star patterns to val. This is the value a star pattern will have at the edge of the image. The default is .0001.

-a  Average hot spots as well. By default, the areas of the picture above the hot level are not used in setting the exposure.

ENVIRONMENT
RAYPATH    directories to search for lamp lookup table

FILES
/tmp/rt??????

AUTHOR
Greg Ward

SEE ALSO
getinfo(1), ies2rad(1), pcompos(1), pflip(1), pinterp(1), pvalue(1), protate(1), rad(1), rpict(1), ximage(1)